/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.isobus.tree;

import java.util.List;
import nl.cloudfarming.client.isobus.model.IsobusTaskData;
import org.openide.nodes.ChildFactory;
import org.openide.nodes.Children;
import org.openide.nodes.Node;
import org.openide.util.NbBundle;

/**
 *
 * @author Gerben Feenstra
 */
@NbBundle.Messages({ 
    "isobus.project.taskdata.aggregatenode.name.task=Tasks"
    
})
public class TaskDataChildFactory extends ChildFactory<Node> {

    private static final String TASK_AGGREGATENODE_ICON = "nl/cloudfarming/client/isobus/tree/isobus_taskdata_tasks.png";
    private final IsobusTaskData isobusObj;

    public TaskDataChildFactory(IsobusTaskData isobusObj) {
        this.isobusObj = isobusObj;
    }

    @Override
    protected boolean createKeys(List<Node> toPopulate) {

        // XML Main node
        IsobusTaskData isobusTaskData = (IsobusTaskData) isobusObj;

        // Task (TSK)
        Children taskChildren = Children.create(new AggregateNodeChildFactory<>(isobusTaskData.getTSK()), true);
        toPopulate.add(new IsobusAggregateNode(taskChildren, TASK_AGGREGATENODE_ICON, Bundle.isobus_project_taskdata_aggregatenode_name_task()));   
        
        return true;
    }

    @Override
    protected Node createNodeForKey(Node key) {
        return key;
    }
}
